<template>
  <v-container>
    <v-dialog v-model="openDialog" @click:outside="close" @keydown.esc="close" max-width="450px">
      <v-card>
        <v-card-title>
          <v-row justify="center"
            ><v-icon class="directory" x-large color="primary">mdi-link-variant</v-icon>
          </v-row>
        </v-card-title>
        <v-card-subtitle>
          <v-row justify="center">
            <span class="sub secondary--text">Criar novo Link Externo</span>
            <v-col cols="10">
              <v-text-field v-model="name" autofocus label="Nome do link externo"></v-text-field>
            </v-col>
            <v-col cols="10">
              <v-text-field v-model="link" label="Url do link externo"></v-text-field>
            </v-col>
          </v-row>
        </v-card-subtitle>
        <v-card-text>
          <v-card-actions>
            <v-row justify="center">
              <v-btn color="primary" text @click="close">Cancelar</v-btn>
              <v-btn
                :disabled="!name"
                color="primary"
                class="ml-4"
                elevation="0"
                @click="newExternalLink"
                >Criar</v-btn
              >
            </v-row>
          </v-card-actions>
        </v-card-text>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
export default {
  name: 'CreateExternalLink',

  props: {
    openDialog: {
      type: Boolean,
      default: false,
    },
  },
  data: () => ({
    name: '',
    link: '',
    errorMessage: '',
  }),

  computed: {},
  watch: {},


  

  methods: {
    close() {
      this.name = ''
      this.link = ''
      this.cleanErrorMessage()
      this.$emit('closeLinkDialog')
    },
    newExternalLink() {
      let check = 0

      if (check == 0) {
        let link = { name: this.name, link: this.link }
        this.$emit('newExternalLink', link)
        this.name = ''
        this.link = ''
        this.cleanErrorMessage()
      }
    },
    cleanErrorMessage() {
      this.errorMessage = ''
    },
  },
}
</script>
<style>
.deleteTitleFont {
  transform: scale(0.75);
}
.iconTitle {
  padding-top: 15px;
  transform: scale(1.5);
}
.directory {
  padding-top: 15px;
  padding-bottom: 25px;
  transform: scale(1.5);
}
.sub {
  font-size: 1.3em;
}
</style>
